org.apache.xmlgraphics.image.loader.impl

## Class PreloaderJPEG

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
  - - org.apache.xmlgraphics.image.loader.impl.PreloaderJPEG

- All Implemented Interfaces:
    JPEGConstants, ImagePreloader

      public class PreloaderJPEG
      extends AbstractImagePreloader
      implements JPEGConstants

  Image preloader for JPEG images.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.impl.JPEGConstants

      `APP0, APP1, APP2, APPD, APPE, APPF, EOI, MARK, NULL, SOF0, SOF1, SOF2, SOFA, SOI, SOS`

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreloaderJPEG()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageInfo` | `preloadImage(java.lang.String uri, javax.xml.transform.Source src, ImageContext context)` "Preloads" an image, i.e.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

      `getHeader, getPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreloaderJPEG

          public PreloaderJPEG()

  - ### Method Detail

    - #### preloadImage

          public ImageInfo preloadImage(java.lang.String uri,
                                        javax.xml.transform.Source src,
                                        ImageContext context)
                                 throws java.io.IOException,
                                        ImageException

      "Preloads" an image, i.e. indentifies whether the source image is supported by this implementation and determines the image's intrinsic size and possibly some additional information. The image is usually not fully loaded at this time to conserve memory. The method returns null if the image was not identified. An `ImageException` is only thrown if the image is identified but some error has happened while working on the file.
      Specified by:
        `preloadImage` in interface `ImagePreloader`
      Parameters:
        `uri` - the original (unresolved) URI of the image
        `src` - a image source the image is loaded from
        `context` - the context object that provides configuration information
      Returns:
        an image info object with the basic information about an image or null if the image is not supported by this implementation
      Throws:
        `ImageException`
        `java.io.IOException` - if an I/O error occurs while preloading the image

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.